## org.eclipse.amp.escape.command
Class ExecuteHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteAMFHandler, ExecuteJavaHandler, ExecuteParameterHandler

    public abstract class ExecuteHandler

extends ResourceHandler

The Class ExecuteHandler.

Constructor Summary
`ExecuteHandler(boolean headless)` Instantiates a new execute handler.

Method Summary
`void` `execute(java.lang.Object executed, java.lang.String name)` Execute.
`boolean` `isHeadless()`
`void` `setEnabled(java.lang.Object evaluationContext)`
`void` `setHeadless(boolean headless)`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteHandler

    public ExecuteHandler(boolean headless)

  Instantiates a new execute handler.

  Parameters:
    `headless` - the headless

Method Detail

### execute

    public final void execute(java.lang.Object executed,
                              java.lang.String name)
                       throws org.eclipse.core.commands.ExecutionException

  Description copied from class: `ResourceHandler`
  Execute.

  Overrides:
    `execute` in class `ResourceHandler`
  Parameters:
    `executed` - the resource
    `name` - the name
  Throws:
    `org.eclipse.core.commands.ExecutionException` - the execution exception

### setEnabled

    public void setEnabled(java.lang.Object evaluationContext)

  Specified by:
    `setEnabled` in interface `org.eclipse.core.commands.IHandler2`
  Overrides:
    `setEnabled` in class `org.eclipse.core.commands.AbstractHandler`

### setHeadless

    public void setHeadless(boolean headless)

### isHeadless

    public boolean isHeadless()